> For the complete documentation index, see [llms.txt](https://docs.openmm.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.openmm.io/guides/cardano_tokens.md).

# Cardano Tokens

Quick guide to add and test Cardano tokens before market making.

## 🔍 Check Supported Tokens

```bash
openmm pool-discovery supported
```

## ➕ Add New Token

### 1. Get Token Info

Find these on [Cardanoscan.io](https://cardanoscan.io):

* **Policy ID**
* **Asset Name** (hex)

### 2. Add to Configuration

Edit `src/config/price-aggregation.ts`:

```typescript
'YOUR_TOKEN': {
  symbol: 'YOUR_TOKEN',
  policyId: 'policy_id_here',
  assetName: 'hex_asset_name',
  minLiquidityThreshold: 50000
}
```

Or generate with CLI:

```bash
openmm pool-discovery custom <POLICY_ID> <ASSET_NAME_HEX> <SYMBOL>
```

## 🧪 Test Before Market Making

### 1. Find Pools

```bash
openmm pool-discovery discover YOUR_TOKEN --limit 3
```

✅ **Look for**: Active pools (✅), TVL > $25K, multiple DEXes

### 2. Test Pricing

```bash
openmm pool-discovery prices YOUR_TOKEN
```

***


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.openmm.io/guides/cardano_tokens.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
